#### PyKDE - Python Bindings for KDE

# class KSpell2.Word |
Table of contents
Modules
kspell2 Classes
All Classes

Module | kspell2
Class | KSpell2.Word
Inherits |

### methods

- Word ()

  returns a Word instance
  In versions KDE 3.3.0 and above only

- Word (w, st, e = 0)

  returns a Word instance
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  w | QString |
  st | int |
  e | bool | 0

- Word (other)

  returns a Word instance
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  other | KSpell2.Word |

### variables

- variables

  Variable | Type
  --- | ---
  end | bool
  start | uint
  word | QString